StartException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.lifecycle.StartException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.lifecycle
Class StartException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.lifecycle.LifecycleException
                      org.mule.api.lifecycle.StartException

All Implemented Interfaces:
  Serializable

    public class StartException

extends LifecycleException

`DisposeException` TODO (document class)

See Also:
  Serialized Form

Constructor Summary
`StartException(Message message, Startable component)`
`StartException(Message message, Throwable cause, Startable component)`
`StartException(Throwable cause, Startable component)`

Method Summary

Methods inherited from class org.mule.api.lifecycle.LifecycleException
`getComponent`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StartException

    public StartException(Message message,
                          Startable component)

Parameters:
  `message` - the exception message
  `service` - the object that failed during a lifecycle method call

### StartException

    public StartException(Message message,
                          Throwable cause,
                          Startable component)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown
  `service` - the object that failed during a lifecycle method call

### StartException

    public StartException(Throwable cause,
                          Startable component)

Parameters:
  `cause` - the exception that cause this exception to be thrown
  `service` - the object that failed during a lifecycle method call

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.